#include <iotms470r1a256.h>
#include <string.h>
#include "system.h"
#include "sci.h"
#include "het.h"

void Delay_mS (unsigned long a) { while (--a!=0); }

int main()
{
  // Init frequency
  InitFreq();

  // Init buttons
  InitButtons();

  // Init HET
  InitHET();

  // Init SCI - necessary, because Status led is connected to SCI Interface
  InitSCI1();

  while(1) {

    // press button 1 - status led ON
    if(GIODINA_bit.GIODIN1 == 0) {LedON();}

    // press button 2 - status led OFF
    if(GIODINA_bit.GIODIN2 == 0) { LedOFF(); }

    // press button 3 -> Beep buzzer
    if(GIODINA_bit.GIODIN3 == 0) { Beep(); }

  }

}
